#!/bin/sh
#*******************************************
#* LCD-Ticker Version 1.0                  *
#* by theobald123 and Tischi               *
#*******************************************

#*************************************
#* Dateien und Verzeichnisse lschen *
#*************************************
remove ()
{
	rm    /tmp/lcdticker/*.*
	rm    /tmp/lcdticker/1/*.*
	rm    /tmp/lcdticker/2/*.*
	rm    /tmp/lcdticker/3/*.*
	rmdir /tmp/lcdticker/1
	rmdir /tmp/lcdticker/2
	rmdir /tmp/lcdticker/3
	rmdir /tmp/lcdticker
}

if [ -e /tmp/lcdticker/.ticker_running ]; then
	#****************************************************
	#* Ticker beenden und alte Anzeige wiederherstellen *
	#****************************************************
	lcd4linux_call=`cat /tmp/lcd4linux_call.txt`
	rm /tmp/lcdticker/.ticker_running
	rm /tmp/lcd4linux_call.txt
	killall lcdticker.sh
	killall lcd4linux
	remove
	msgbox title="" size=26 timeout=10 popup="Ticker wurde beendet"
	sleep 3
	exec $lcd4linux_call
else
	#*******************************************
	#* Liga auswhlen und alte Anzeige sichern *
	#*******************************************
	auswahl=1
	msgbox title="Ligaauswahl" size=28 order=1 msg="~cBitte ausw~ahlen!" select="1. Liga,2. Liga" default=$auswahl
	auswahl=$?
	case $auswahl	in
	1)
		/var/plugins/lcdticker.sh "bl" &
		;;
	2)
		/var/plugins/lcdticker.sh "bl2" &
		;;
	*)
		exit
		;;
	esac
	ps -AF > /tmp/ticker1.txt
	sed -n /lcd4linux/p /tmp/ticker1.txt | sed -e 's/lcd4linux.*/&%&/' | sed -e 's/^.*%//' > /tmp/lcd4linux_call.txt
	rm /tmp/ticker1.txt
fi
service lcd4linux reload
exit
